Bug 495354 - gnome-power-manager does not report battery status - /proc/apm shows it
gnome-power-manager does not report battery status - /proc/apm shows it
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
rawhide
powerpc Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-12 06:11 EDT by Jeremy Huddleston
Modified: 2009-06-04 14:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-04 03:35:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Huddleston 2009-04-12 06:11:00 EDT
Description of problem:
gnome-power-manager doesn't show any information about the battery.  /proc/apm shows the information.  I'm guessing that it's expecting acpi, but there's not acpi emulation for the powerbooks, just apm.
Comment 1 Richard Hughes 2009-06-03 04:13:06 EDT
What hardware is this? What does devkit-power --dump show?
Comment 2 Jeremy Huddleston 2009-06-03 16:00:15 EDT
This is a Powerbook G4

I have installed Ubuntu on it to avoid this and some other issues.

The problem is that the powerbooks emulate APM, but the widget only queries ACPI
Comment 3 Richard Hughes 2009-06-04 03:35:00 EDT
(In reply to comment #2)
> The problem is that the powerbooks emulate APM, but the widget only queries
> ACPI  

It's not a widget, and it doesn't query the hardware itself, it either uses HAL or DeviceKit-power.

(In reply to comment #2)
> I have installed Ubuntu on it to avoid this and some other issues.

Okay, closing.
Comment 4 Jeremy Huddleston 2009-06-04 13:15:55 EDT
well that's what I mean.  HAL or DeviceKit-power does not have support for APM
Comment 5 Richard Hughes 2009-06-04 13:52:10 EDT
(In reply to comment #4)
> DeviceKit-power does not have support for APM  

And it's not likely to have either. There's a proper kernel class called power_supply that everything needs to be ported to. /proc/apm is going away RSN.
Comment 6 Jeremy Huddleston 2009-06-04 14:13:00 EDT
Right, I understand that.  That *IS* why this is a bug.  The compatibility layer for PowerBooks just provides APM emulation.  That needs to be fixed.

Ubuntu is reading the data from /proc/apm (or some other route) and getting it to gnome-power-manager, so I don't see a reason why Fedora can't as well.

Note You need to log in before you can comment on or make changes to this bug.